Subject: Call for information about internship possibilities
From: [email-masked]
To: [email-masked]
Date: Thu, 24 Nov 2022 16:05:29 +0000

The ECS student group is collecting information about internships /  
volunteering positions for students in the upcoming season around  
Europe and the Mediterranean Sea.
If you have student programs in your organization and you want to help  
us make this information more accessible to all students, please share  
the possibilities you offer in this link -  
https://forms.gle/F6LFgtVREUArtNcL8

Thank you